#include "winglib/wgDialog.h"
#include "winglib/wgTabControlDialog.h"

#ifndef _TABDIALOG
#define _TABDIALOG



class wgTabDialog : public wgDialog
{
	friend wgTabControlDialog;

	public:

		wgTabDialog(HINSTANCE _hInstance, int _ResourceCode);

		~wgTabDialog();

		HWND Create(HWND ParentTabControl, wgTabControlDialog* _ParentDialog);

		wgTabControlDialog* ParentDialog;

	// useful events

		virtual void OnChangeIn(){}
		virtual void OnChangeOut(){}

		std::string GetTabText() const;

	private:


	// private member functions
		void SetTabText(const std::string);
		
		void OnDestroy(); 

	// private member variables

		std::string TabText;

};



#endif //_TABDIALOG

