#include "winglib/wgWinMenuComponent.h"

#ifndef _WG_WIN_MENUITEM
#define _WG_WIN_MENUITEM


///
/// wgWinMenuItem is intended to be used only as leaf node of the Menu. You may NOT add sub-menus to a wgWinMenuItem.
///
class wgWinMenuItem : public wgWinMenuComponent
{
	public:

			/// Create a leaf node of the menu heirarchy (a Menu Item), with the specified Identifier.
		wgWinMenuItem(unsigned int uintIdentifier);

			/// Create a leaf node of the menu heirarchy (a Menu Item), with the specified Identifier and label Text.
		wgWinMenuItem(std::string Text, unsigned int uintIdentifier);

		~wgWinMenuItem();

};



#endif//_WG_WIN_MENUITEM
