#include "resource.h"
#include <winglib/wgWindow.h>
#include <winglib/wgSkin.h>
// Simple, is the main window, which, for it's background, shows the WinSute bitmap

class Simple :public wgWindow, public wgSkin{

	public:
		
		Simple(  HINSTANCE _hInstance)
			:wgWindow(_hInstance, "ParentWindow", CS_HREDRAW | CS_VREDRAW,
			IDR_MAIN_MENU, 
			MAKE_HICON(_hInstance, IDI_MAIN_ICON),// large icon
			MAKE_HICON(_hInstance, IDI_MAIN_ICON)), // small icon

			wgSkin(IDB_WINSUTEB, FULL_SKIN)
			{
				// nothing really to do in the constructor as we have
				// no member variables 
			}

	private:

		LRESULT OnCreate();
		LRESULT OnPaint();
		LRESULT OnCommand(WPARAM wParam, LPARAM lParam);
		HWND MakeWindow();
		void HideCloseMenuItem();
		void ShowCloseMenuItem();

		static int OpenFileFunc(OPENFILENAME& _ofn, void* _SWnd);
};
