#include "resource.h"
#include "Layout.h"
#include <winglib/wgWindow.h>



#define WM_SAVEFILE WM_USER+5
#define WM_OPENFILE WM_USER+6


class TextWindow :public wgWindow{

	public:
		
		TextWindow(HINSTANCE _hInstance)
			:wgWindow(_hInstance, "TextWindow", CS_HREDRAW | CS_VREDRAW,
						NULL, NULL, NULL, (HBRUSH) GetStockObject(WHITE_BRUSH))
		{
			// nothing to do here either!
		}

		~TextWindow(){
			// nothing to do here
		}

	private:

	// private member functions

		LRESULT OnCreate();
		LRESULT OnSize(WPARAM wParam, LPARAM lParam);
		LRESULT OnNCDestroy(); // use this to auto destroy instances of this class
							// this is the last message to be called to 
							// a window (straight after WM_DESTROY)
		LRESULT OnOther(UINT message, WPARAM wParam, LPARAM lParam);

		int OnSaveFile();
		int OnOpenFile(LPOPENFILENAME lpofn); // returns error or no error

		static int SaveFileFunc(OPENFILENAME& _ofn, void* _SWnd);

	// private member variables

		Layout* myLayout;
};
