#include "Layout.h"


int Layout::setup(HWND _my_hwnd, HINSTANCE hInstance, void* sdata){

	RECT prect;

	my_hwnd = _my_hwnd;
	
	if(!GetClientRect(_my_hwnd,  &prect)) return 0;
	
	LONG rbx=400;	// now setup the text edit box as big as the window
	LONG rby=400;
	rbx=prect.right;
	rby=prect.bottom;

	text_area= CreateWindowEx(WS_EX_LEFT, "RichEdit", "", 
			WS_HSCROLL| WS_CHILD | WS_VISIBLE | WS_VSCROLL|
			ES_AUTOHSCROLL | ES_MULTILINE | ES_AUTOVSCROLL |
			ES_NOHIDESEL | ES_WANTRETURN,
			0,0 ,rbx, rby, _my_hwnd
			, (HMENU)_text_area , hInstance, NULL);

	if (text_area==NULL) return 0;
	else return 1;
}



int Layout::update(){	// calls this when the window size has been changed
						// this resets the edit box to the size of the window
	RECT prect;
	if (!GetClientRect(my_hwnd,  &prect)) return 0;
	LONG rbx=prect.right;
	LONG rby=prect.bottom;
	
	if (!MoveWindow(text_area, 0, 0, rbx, rby, true)) return 0;
	else return 1;
}



