#ifndef STRICT
	#define STRICT
#endif
#ifndef _WIN32_WINNT 
	#define _WIN32_WINNT 0x0400
#endif//_WIN32_WINNT
// fix for mfc
#if defined(WIN32)
	#ifdef _AFXDLL
		#include <afx.h>
	#else
		#include<windows.h>
	#endif
#endif	



#ifndef _WG_SCROLL_CONTROLLER
#define _WG_SCROLL_CONTROLLER


class wgScrollController
{
	public:

		wgScrollController();
		wgScrollController(HWND _ShWnd);

		virtual ~wgScrollController();

		void SetWindow(HWND _ShWnd);

		RECT GetActualWindowSize();
		RECT GetVirtualWindowSize();

		unsigned int GetNumberOfPagesX(const RECT& VirtualWindowSize);
		unsigned int GetNumberOfPagesY(const RECT& VirtualWindowSize);	

		inline int GetYScrollPos(){return YScrollPos;}
		inline int GetXScrollPos(){return XScrollPos;}

		void ResetScroll(int fnBar, int ScrollValue, SCROLLINFO* SInf);

		bool ScrollWindowY(int ScrollBy);
		bool ScrollWindowX(int ScrollBy);

		bool ScrollPageY(int ScrollBy);
		bool ScrollPageX(int ScrollBy);


	protected:

		HWND ShWnd;	// window with scroll bar or scroll bar
		int YScrollPos;
		int XScrollPos;
};


#endif//_WG_SCROLL_CONTROLLER

