#ifndef STRICT
	#define STRICT
#endif
#ifndef _WIN32_WINNT 
	#define _WIN32_WINNT 0x0400
#endif//_WIN32_WINNT
// fix for mfc
#if defined(WIN32)
	#ifdef _AFXDLL
		#include <afx.h>
	#else
		#include<windows.h>
	#endif
#endif	
#include "winglib/wgWinMenuComponent.h"
#include "winglib/wgWinBase.h"

#ifndef _WG_WIN_POPUP_MENU
#define _WG_WIN_POPUP_MENU


class wgWinMenu;


///
/// wgWinPopupMenu is the top level menu component. A wgWinPopupMenu does not require a label as it will never
/// be seen. To add a wgWinPopupMenu to a window, either use the supplied function wgWinPopupMenu::AddTo(HWND)
/// or wgWinBase::Add(wgWinMenuComponent&).
///
class wgWinPopupMenu : public wgWinMenuComponent
{
	public:

			/// default constructor
		wgWinPopupMenu();

			/// Create a Menu Bar with the specified Identifier
		wgWinPopupMenu(unsigned int uintIdentifier);
		wgWinPopupMenu(std::string strText);
		wgWinPopupMenu(std::string strText, unsigned int uintIdentifier);


		virtual ~wgWinPopupMenu();

			/// Add the specified component to this MenuBar, at the specified Position, or with the 
			/// specified position identifier.
		BOOL Add(wgWinMenuComponent* Menu, int Item=-1, BOOL fByPosition=TRUE);

		HMENU GetMenu();

		BOOL DestroyMenu();

	protected:


		HMENU MenuBar;

};



#endif//_WG_WIN_POPUP_MENU
