
#ifndef _WINSOCKAPI_
	#define _WINSOCKAPI_
#endif//_WINSOCKAPI_

#ifndef STRICT
	#define STRICT
#endif
#ifndef _WIN32_WINNT 
	#define _WIN32_WINNT 0x0400
#endif//_WIN32_WINNT

// fix test for mfc
#if defined(WIN32)
	#ifdef _AFXDLL
		#include <afx.h>
	#else
		#include<windows.h>
	#endif
#endif

#include <winutils/wuException.h>




#ifndef _WG_WINSTATIC
#define _WG_WINSTATIC


#pragma warning( disable : 4290 ) 




//class wgWinBase; // forward definition

// include global static functions here

///
///	This function is to use instead of IsDialogMessage()
///	IsDialogMessage is too indescriminate in it's capturing of messages which
///	are not necessarily dialog boxes but things like EDIT BOXES !!!!!!
///	This function is used exactly the same as as IsDialogMessage but requires
///	the programmer not to name any user defined windows starting with a '#'
///	that is the only restriction in using this work-around.
///

BOOL IsForDialog(HWND hwnd, LPMSG pmsg);


#ifndef _WG_GETHANDLEFILENAME
#define _WG_GETHANDLEFILENAME
/// This function is simply here because i keep on forgetting about GetModuleFileName
inline DWORD GetHandleFileName(	HMODULE hModule,    /// handle to module to find filename for
								LPTSTR lpFilename,  /// pointer to buffer to receive module path
								DWORD nSize         /// size of buffer, in characters
							)
{
	return GetModuleFileName(hModule, lpFilename, nSize);
}

#endif //_WG_GETHANDLEFILENAME


/// This function wraps GetModuleFileName and a tokenizer to get only the path NOT the filename
DWORD GetHandleFilePath(	HMODULE hModule,    /// handle to module to find filename for
							LPTSTR lpFilename,  /// pointer to buffer to receive module path
							DWORD nSize         /// size of buffer, in characters
						);



///
/// This function simplifies the process of making a HICON type from a resource code
///
HICON MAKE_HICON(HINSTANCE _hInstance, WORD wInteger);





#ifndef _VOIDDOUBLE
#define _VOIDDOUBLE


///
/// VoidDouble is a simple type that bundles up two void* types together 
/// for simple passing as arguments
///
	struct VoidDouble{

		void* ptrOne;
		void* ptrTwo;

	};

#endif // _VOIDDOUBLE






#endif //_WG_WINSTATIC