#include "winglib/wgAutoCleanDialog.h"




wgAutoCleanDialog::wgAutoCleanDialog(int DIALOG_RESOURCE_CODE, HWND hwndParent)
	:wgDialog(DIALOG_RESOURCE_CODE, hwndParent)
{
	// nothing extra to do here, all is done in parent class
}


wgAutoCleanDialog::wgAutoCleanDialog(int DIALOG_RESOURCE_CODE, HINSTANCE _hInstance, HWND hwndParent)
	:wgDialog(DIALOG_RESOURCE_CODE, _hInstance, hwndParent)
{
	// nothing extra to do here, all is done in parent class
}

wgAutoCleanDialog::wgAutoCleanDialog(LPCTSTR lpTemplate, HINSTANCE _hInstance, HWND hwndParent)
	:wgDialog(lpTemplate, _hInstance, hwndParent)
{
	// nothing extra to do here, all is done in parent class
}

void wgAutoCleanDialog::OnDestroy()
{
	// override here because we don't want default quit application command happening
}

LRESULT wgAutoCleanDialog::OnNCDestroy()
{
	if (getType() == _MODELESS) delete this;

	return 0;
}

