#include "winglib/wgObjectSpecificEventControl.h"
#include <stdio.h>

wgObjectSpecificEventControl::wgObjectSpecificEventControl()
{
	// CREATE OBJECT_SPECIFIC_MUTEX
		EventName = new char[100];
		memset(EventName, 0, 100);
		sprintf(EventName, "wgObjectSpecificEventControlEvent%d", (int)this);
		wgObjectSpecificEventControlEvent = CreateEvent(NULL, FALSE, FALSE, EventName);// mutex is object in scope, through use of unique names
	// END OBJECT_SPECIFIC_MUTEX
}


wgObjectSpecificEventControl::wgObjectSpecificEventControl(const wgObjectSpecificEventControl& other)
{
	int len = strlen(other.EventName) +1;

	EventName = new char[len];
	
	strcpy(EventName, other.EventName);

	wgObjectSpecificEventControlEvent = CreateEvent(NULL, FALSE, FALSE, EventName);
}


wgObjectSpecificEventControl::~wgObjectSpecificEventControl()
{
	delete[] EventName;
	CloseHandle(wgObjectSpecificEventControlEvent);
}


wgObjectSpecificEventControl& wgObjectSpecificEventControl::operator=(const wgObjectSpecificEventControl& other)
{
	if (&other!=this)
	{
		if (EventName!=0)
		{
			delete[] EventName;
		}
		if (wgObjectSpecificEventControlEvent!=0)
		{
			CloseHandle(wgObjectSpecificEventControlEvent);
		}
		int len = strlen(other.EventName) +1;

		EventName = new char[len];
		strcpy(EventName, other.EventName);
		wgObjectSpecificEventControlEvent = CreateEvent(NULL, FALSE, FALSE, EventName);
	}

	return *this;
}



DWORD wgObjectSpecificEventControl::WaitForSingleObject(DWORD dwMilliseconds)
{
	return ::WaitForSingleObject(wgObjectSpecificEventControlEvent, dwMilliseconds);
}




BOOL wgObjectSpecificEventControl::SetEvent()
{
	return ::SetEvent(wgObjectSpecificEventControlEvent);
}

