#include "winglib/wgTabDialog.h"
#include <stdio.h>
#include "winglib/wgTabControlDialog.h"


wgTabDialog::wgTabDialog(HINSTANCE _hInstance, int _ResourceCode)
	:wgDialog(_ResourceCode, _hInstance)
{
	TabText = "";

}



wgTabDialog::~wgTabDialog()
{
	if (hWnd!=0) DestroyWindow(hWnd);
}



HWND wgTabDialog::Create(HWND ParentTabControl, wgTabControlDialog* _ParentDialog)
{
	parent = ParentTabControl;
	ParentDialog = _ParentDialog;

	return wgDialog::Create();
}



//////////////////// WINDOWS MESSAGE HANDLERS  //////////////////////////



void wgTabDialog::OnDestroy()
{
	// don't close application eh!
}


std::string wgTabDialog::GetTabText() const
{
	return TabText;
}

void wgTabDialog::SetTabText(const std::string _TabText)
{
	TabText = _TabText;
}

