#include "winglib/wgWinDropDownList.h"
#include <winutils/wuStokenizer.h>
#ifndef STRICT
	#define STRICT
#endif
#ifndef _WIN32_WINNT 
	#define _WIN32_WINNT 0x0400
#endif//_WIN32_WINNT
// fix for mfc
#if defined(WIN32)
	#ifdef _AFXDLL
		#include <afx.h>
	#else
		#include<windows.h>
	#endif
#endif	




wgWinDropDownList::wgWinDropDownList(const char* _pcharControlID) :	wgWinAbstractComboBox(_pcharControlID)
{
}



wgWinDropDownList::~wgWinDropDownList()
{
}




HWND wgWinDropDownList::Create(const char* Label, HWND _Parent, int x, int y, int nWidth, int nHeight, UINT Style) throw (wuException)
{
	HWND Return = NULL;
	int FWidth=0, FHeight=0;

	Return = wgWinAbstractComboBox::Create(Label, _Parent, x, y, nWidth, nHeight, CBS_DROPDOWNLIST|WS_VSCROLL|Style);

	return Return;
} 


 
 
void wgWinDropDownList::GetTextDimensions(const char* cstrText, int& _x, int& _y)
{

	wuStokenizer tok(cstrText, "\r\n");
	std::string temp="";
	_x=0;	// set to min
	_y=0;	// set to min

	while(tok.more()){
		
		temp = tok.next();
		_y++;
		if ((int)temp.size()>_x) _x = temp.size();
	}
}
