#include "winutils/wuException.h"


#ifndef _WU_FILE_EXCEPTION
#define _WU_FILE_EXCEPTION

///
/// wuFileException inherits from wuException. It is thrown by a library or application when 
/// there is a bad file handle or some other related issue.
///
class wuFileException : public wuException
{

	public:	
	
			/// Main constructor
		wuFileException(const char* amessage) throw(): wuException(amessage){}
			/// Copy constructor
		wuFileException(const wuFileException& other) throw() : wuException(other){}

	protected:
};



#endif//_WU_FILE_EXCEPTION