#ifndef STRICT
	#define STRICT
#endif
#ifndef _WIN32_WINNT 
	#define _WIN32_WINNT 0x0400
#endif//_WIN32_WINNT
// fix for mfc
#if defined(WIN32)
	#ifdef _AFXDLL
		#include <afx.h>
	#else
		#include<windows.h>
	#endif
#endif	
#include <string>


#ifndef _WG_WIN_MENUCOMPONENT
#define _WG_WIN_MENUCOMPONENT


///
/// wgWinMenuComponent is the shared component for all Menu related objects. 
///
class wgWinMenuComponent
{
	public:

		wgWinMenuComponent();
		wgWinMenuComponent(std::string strText);
		wgWinMenuComponent(unsigned int uintIdentifier);
		wgWinMenuComponent(std::string strText, unsigned int uintIdentifier);

		virtual ~wgWinMenuComponent();

			/// Set the text for this Menu Component
		void SetText(std::string);

			/// Set the Identifier for this Menu Component
		void SetIdentifier(unsigned int uintIdentifier);

			/// Set the ItemData for this Menu Component
		void SetItemData(DWORD dwItemData);

	protected:

		MENUITEMINFO MenuItemInfo;
};



#endif//_WG_WIN_MENUCOMPONENT
