
// fix for mfc
#if defined(WIN32)
	#ifdef _AFXDLL
		#include <afx.h>
	#else
		#include<windows.h>
	#endif
#endif	
#include <stdio.h>
#include <tchar.h>

#ifndef __EVENT_UTILITIES_H__
#define __EVENT_UTILITIES_H__



#ifdef UNICODE
typedef LPCWSTR LPCTSTR;
typedef LPCWSTR PCTSTR;
#else
typedef LPCSTR LPCTSTR;
typedef LPCSTR PCTSTR;
#endif

namespace wu 
{

	///
	/// Load a message resource fom the .exe and format it with the passed insertions
	///
	UINT LoadMessage( DWORD dwMsgId, PTSTR pszBuffer, UINT cchBuffer, ... );

	///
	/// Installs our app as a source of events under the name pszName into the registry
	//
	void AddEventSource( PCTSTR pszName, DWORD dwCategoryCount = 0);

	///
	/// Removes the passed source of events from the registry
	///
	void RemoveEventSource( PCTSTR pszName );
}



#endif // __EVENT_UTILITIES_H__