#include <time.h>



#ifndef _WU_PROGRESS_TIME_TRACKER
#define _WU_PROGRESS_TIME_TRACKER


class wuProgressTimeTracker
{
	public:

		wuProgressTimeTracker();
		~wuProgressTimeTracker();

		void BeginTime();
		void UpdateTime(unsigned int& uintElapsedTimeMilliSeconds, 
						unsigned int& uintEstTimeRemainingMilliSeconds,
						const unsigned int uintEstimatedTotalComputations,
						const unsigned int uintComputationsComplete);

		static void GetPercentDone(	unsigned int &PercentDone,
									const unsigned int uintElapsedTimeMilliSeconds, 
									const unsigned int uintEstTimeRemainingMilliSeconds);

	private:

		// here we hold the time we started at BeginTime

		clock_t ctBeginTime;
};



#endif//_WU_PROGRESS_TIME_TRACKER


	
