

#ifndef _WINSOCKAPI_
	#define _WINSOCKAPI_
#endif//_WINSOCKAPI_

#ifndef STRICT
	#define STRICT
#endif
#ifndef _WIN32_WINNT 
	#define _WIN32_WINNT 0x0400
#endif//_WIN32_WINNT

// fix test for mfc
#if defined(WIN32)
	#ifdef _AFXDLL
		#include <afx.h>
	#else
		#include<windows.h>
	#endif
#endif




#ifndef _WU_SYSTEMTIME
#define _WU_SYSTEMTIME




bool operator<(const FILETIME& Left, const FILETIME& Right);
bool operator>(const FILETIME& Left, const FILETIME& Right);

bool operator<(const SYSTEMTIME& Left, const SYSTEMTIME& Right);
bool operator>(const SYSTEMTIME& Left, const SYSTEMTIME& Right);
bool operator==(const SYSTEMTIME& Left, const SYSTEMTIME& Right);
bool operator!=(const SYSTEMTIME& Left, const SYSTEMTIME& Right);

SYSTEMTIME operator-(const SYSTEMTIME& Left, const SYSTEMTIME& Right);
SYSTEMTIME operator+(const SYSTEMTIME& Left, const SYSTEMTIME& Right);





class wuSYSTEMTIME : public SYSTEMTIME
{
	public:

		  // Constructor
		wuSYSTEMTIME();

		  // Destructor
		~wuSYSTEMTIME();

		wuSYSTEMTIME(const SYSTEMTIME& DateTime);
		wuSYSTEMTIME(const double DateTime);

		wuSYSTEMTIME& operator=(const SYSTEMTIME& DateTime);
		wuSYSTEMTIME& operator=(const double DateTime);


		double GetAsDouble();

		static double CreateDateAndTime(const SYSTEMTIME& TimeAndDate);
		static void ExtractDateTime(SYSTEMTIME& TimeAndDate, double dblSourceDate);

		static BOOL LocalTime(SYSTEMTIME* GMTime, SYSTEMTIME* LocalTime);

		static unsigned int FormatDate(	char*					pcharBuffer, 
										unsigned int			uintBuffLen,
										const char*				strFormatString,
										const wuSYSTEMTIME&		DateTime);


	protected:


	private:
};






#endif//_WU_SYSTEMTIME


