//////////////////////// wuTCPSocket class header //////////////////////////////

// ifdefines to put in.. friends and includes to take out.
// the following line gets rid of winsock (1) which avoids the nasty microsoft winsock compilation redefinition errors
#include <winsock2.h>
  // we want to include winsock2 before including winsock1
#ifndef _WINSOCKAPI_	
#define _WINSOCKAPI_	
#endif// _WINSOCKAPI_	

#include <winsock2.h>
#include <stdio.h>
#include "winutils/wuSocketException.h"
#include "winutils/wuSocket.h"
 

 
#ifndef _WU_TCP_SOCKET_IMPL_H_
#define _WU_TCP_SOCKET_IMPL_H_


#pragma warning( disable : 4290 ) // warning C4290: C++ Exception Specification ignored

#define _WU_SOCKETS_NOOFERRORCODES 48
#define MAXLINE 4096


/// wuTCPSocket is the base class for all socket based objects. It contains functionality
/// which provides
class wuTCPSocket : public wuSocket
{
	public:

	// public member Functions

			/// Main Constructor. 
		wuTCPSocket();

		virtual ~wuTCPSocket();

	
		wuTCPSocket(int port) throw (wuSocketException); // only for serversocket

			/// Connect should be used as a client connect to a server or listening port.
			/// This function accepts I.P address OR Host-Name.
			/// It enables the user to choose the local port that is allocated for this socket connection.
			/// This function will close the existing Socket before opening another.
		virtual void Connect(const char* ahost, unsigned int intLocalPort, unsigned int intRemotePort) throw (wuSocketException, wuSocketAddressInUse);

			/// Connect should be used as a client connect to a server or listening port.
			/// This function accepts I.P address OR Host-Name.
			/// This function will close the existing Socket before opening another.
		virtual void Connect(const char* host, unsigned int RemotePort) throw (wuSocketException, wuSocketAddressInUse);

			/// Connect should be used as a client connect to a server or listening port.
			/// This function accepts I.P address OR Host-Name.
			/// It enables the user to choose the local port that is allocated for this socket connection.
			/// This function will close the existing Socket before opening another.
		virtual void Connect(const char* ahost, unsigned int intLocalPort, unsigned int intRemotePort, unsigned int uintReceiveTimeout) throw (wuSocketException, wuSocketAddressInUse);
};

// need to work out when to call cleanup on winsock

#endif //_WU_TCP_SOCKET_IMPL_H_
