#include "Simple.h"

#define WIN32_LEAN_AND_MEAN 

// end of function definitions

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE pinst, LPSTR args, int smode){
	
	MSG msg;
	HANDLE hRichEdit;   //  RICHED32.DLL handle

	hRichEdit = LoadLibrary("RICHED32.DLL");

	// Main window created on stack.. will clean up when leaves scope
	Simple window(hInstance);  // create the main window class
	window.Create("MainWindow", WS_SYSMENU | WS_CAPTION|WS_CLIPCHILDREN);
	window.Show();	// need to show explicitly

	while(GetMessage(&msg, NULL, 0 , 0))
	{	// main message loop
		TranslateMessage(&msg);
		DispatchMessage(&msg);
	}

	FreeLibrary( (HMODULE )hRichEdit );           //  Release Rich Edit DLL before leaving

	return msg.wParam;
}
// end of winmain



