
#include <winglib/wgWinStatic.h>
#include <winglib/wgTabControlDialog.h>
#include "MyTabDialog.h"




int WINAPI WinMain(HINSTANCE hInstance,  HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow)
{

	MSG msg;

	wgTabControlDialog dialog(hInstance, IDD_OTHER);
	
	dialog.Create(TCS_MULTILINE);
	dialog.Show();

	dialog.AddTabDialog(new MyTabDialog(hInstance), "first");
	dialog.AddTabDialog(new MyTabDialog(hInstance), "second");
	dialog.AddTabDialog(new MyTabDialog(hInstance), "third");
	dialog.AddTabDialog(new MyTabDialog(hInstance), "fourth");
	dialog.AddTabDialog(new MyTabDialog(hInstance), "fifth");
	dialog.AddTabDialog(new MyTabDialog(hInstance), "sixth");
	dialog.AddTabDialog(new MyTabDialog(hInstance), "seventh");

	while(GetMessage(&msg, NULL, 0 , 0))
	{
		if (!IsForDialog(msg.hwnd, &msg))
		{
				TranslateMessage(&msg);
				DispatchMessage(&msg);
		}
	}

	return msg.wParam;
}

