

#define _WINSOCKAPI_
#ifndef STRICT
	#define STRICT
#endif
#ifndef _WIN32_WINNT 
	#define _WIN32_WINNT 0x0400
#endif//_WIN32_WINNT
// fix for mfc
#if defined(WIN32)
	#ifdef _AFXDLL
		#include <afx.h>
	#else
		#include<windows.h>
	#endif
#endif	




#ifndef _WINLAYOUT
#define _WINLAYOUT


/// WinLayout class is blue-print for using layout to manage child windows, 
/// like buttons,edit windows etc etc. The idea is that their is kept a HWND type. 
/// It is the parent_hwnd which is defined as the main parent window This is the only 
/// HWND type that WinLayout keeps. Any inheritor of WinLayout may keep others. 
/// parent_hwnd is kept mainly for the purpose of error reporting. 

class wgWinLayout{

	public:
	
		wgWinLayout(HWND ahwnd);

		virtual ~wgWinLayout(){}

			/// The WinLayout::setup pure virtual member function must be implemented to 
			/// create an instance of any class with this class as it's base. 
		virtual int setup(HWND _my_hwnd, HINSTANCE _hInstance, void* sdata)=0;

			/// The WinLayout::update pure virtual member function must be implemented to 
			/// create an instance of any class with this class as it's base. 
		virtual int update()=0; 

	protected:
		
		HWND parent_hwnd;
};




#endif //_WINLAYOUT

// end of class wgWinLayout



