#include "winglib/wgRegion.h"


/////////////////  START of SREGION IMPLEMENTATION    /////////////////////




wgRegion::wgRegion(int _R_RESOURCE_CODE, LPCTSTR _RESOURCE_TYPE){

	mR_RESOURCE_CODE = _R_RESOURCE_CODE;

	int len = strlen(_RESOURCE_TYPE) +1;
	mRESOURCE_TYPE = new char[len];
	strcpy(mRESOURCE_TYPE, _RESOURCE_TYPE);
}




wgRegion::~wgRegion()
{
	
}



void wgRegion::InitRegion(){
	
	// do it in create or init so we KNOW we have the hInstance
	HRSRC hrRegion = FindResource(hInstance, MAKEINTRESOURCE(mR_RESOURCE_CODE), mRESOURCE_TYPE);
	LPRGNDATA pRegionData = (LPRGNDATA)LoadResource(hInstance, hrRegion);
	msrgn = ExtCreateRegion(NULL, SizeofResource(NULL,hrRegion), pRegionData);
	FreeResource(pRegionData);

	SetWindowRgn(hWnd, msrgn, true);
	DeleteObject(msrgn); 
	delete[] mRESOURCE_TYPE;
}



void wgRegion::repaint(BOOL Erase){ // erase background before repaint ?

	HRGN temp = CreateRectRgn(0, 0, 0, 0);
	GetWindowRgn(hWnd, temp);
	InvalidateRgn(hWnd, temp, Erase);
	DeleteObject(temp); 
}

//////////////////    END OF SREGION IMPLEMENTATION ////////////////////
