#include "winglib/wgTabCtrlHelpers.h"



BOOL TabCtrl_GetItemText(HWND hwnd, int iItem, char* Buffer, int BuffLen){

	TCITEM item;
	item.mask = TCIF_TEXT;
	item.pszText = Buffer;
	item.cchTextMax = BuffLen;

	return TabCtrl_GetItem(hwnd, iItem, &item);
}



BOOL TabCtrl_GetItemParam(HWND hwnd, int iItem, LPARAM& lParam){

	TCITEM item;
	item.mask = TCIF_PARAM;

	BOOL Result = TabCtrl_GetItem(hwnd, iItem, &item);
	lParam = item.lParam;
	return Result;
}




// extract TabIndex from TabText - searches TabCtrl_GetItemCount number of records
BOOL TabCtrl_GetItemIndex(HWND hwnd, const char* SearchString, unsigned int &TabIndex){

	char Buffer[1025]={0};
	int NumberOfTries = TabCtrl_GetItemCount(hwnd);

	for(int i=0;i<NumberOfTries;i++){

		if (TabCtrl_GetItemText(hwnd, i, Buffer, 1025)){

			if (!strcmp(SearchString, Buffer)){
				
				TabIndex=i;
				return TRUE;
			}
		}
	}

	return FALSE;
}

