#include "winglib/wgWinMenu.h"

using namespace std;




wgWinMenuBar::wgWinMenuBar()
{
	MenuBar = NULL;

	MenuItemInfo.fMask = MIIM_TYPE | MIIM_STATE |MIIM_SUBMENU |MIIM_ID;
	MenuItemInfo.fState = MFS_ENABLED;
}

 

wgWinMenuBar::wgWinMenuBar(unsigned int uintIdentifier) : wgWinMenuComponent(uintIdentifier)
{
	MenuBar = NULL;

	MenuItemInfo.fMask = MIIM_TYPE | MIIM_STATE |MIIM_SUBMENU |MIIM_ID;
	MenuItemInfo.fState = MFS_ENABLED;
}




wgWinMenuBar::wgWinMenuBar(string Text) : wgWinMenuComponent(Text)
{
	MenuBar = NULL;

	MenuItemInfo.fMask = MIIM_TYPE | MIIM_STATE |MIIM_SUBMENU |MIIM_ID;
	MenuItemInfo.fState = MFS_ENABLED;
}


 

wgWinMenuBar::wgWinMenuBar(string Text, unsigned int uintIdentifier) : wgWinMenuComponent(Text, uintIdentifier)
{
	MenuBar = NULL;

	MenuItemInfo.fMask = MIIM_TYPE | MIIM_STATE |MIIM_SUBMENU |MIIM_ID;
	MenuItemInfo.fState = MFS_ENABLED;
}





wgWinMenuBar::~wgWinMenuBar()
{


}



BOOL wgWinMenuBar::Add(wgWinMenuComponent* MenuComponent, int ItemPos, BOOL _fByPosition)
{
	if (MenuBar==NULL)
	{
		MenuBar = CreateMenu();
		MenuItemInfo.hSubMenu = this->MenuBar;
	}

	if (ItemPos<0 && _fByPosition == TRUE)
	{
		ItemPos = GetMenuItemCount(MenuBar);
	}

	return InsertMenuItem(MenuBar, ItemPos, _fByPosition, &((wgWinMenuBar*)MenuComponent)->MenuItemInfo);
}




BOOL wgWinMenuBar::AddTo(HWND _hWnd)
{
	if (MenuBar==NULL)
	{
		MenuBar = CreateMenu();
		MenuItemInfo.hSubMenu = this->MenuBar;
	}

	return SetMenu(_hWnd, MenuBar);
}




HMENU wgWinMenuBar::GetMenu()
{
	return MenuBar;
}



BOOL wgWinMenuBar::DestroyMenu()
{
	BOOL Res = ::DestroyMenu(MenuBar);
	MenuBar = NULL;

	return Res;
}

