#include "winglib/wgWinMenu.h"
#include "winglib/wgWinPopupMenu.h"

using namespace std;




wgWinPopupMenu::wgWinPopupMenu()
{
	MenuBar = NULL;

	MenuItemInfo.fMask = MIIM_TYPE | MIIM_STATE |MIIM_SUBMENU |MIIM_ID;
	MenuItemInfo.fState = MFS_ENABLED;
}

 

wgWinPopupMenu::wgWinPopupMenu(unsigned int uintIdentifier) : wgWinMenuComponent(uintIdentifier)
{
	MenuBar = NULL;

	MenuItemInfo.fMask = MIIM_TYPE | MIIM_STATE |MIIM_SUBMENU |MIIM_ID;
	MenuItemInfo.fState = MFS_ENABLED;
}




wgWinPopupMenu::wgWinPopupMenu(string Text) : wgWinMenuComponent(Text)
{
	MenuBar = NULL;

	MenuItemInfo.fMask = MIIM_TYPE | MIIM_STATE |MIIM_SUBMENU |MIIM_ID;
	MenuItemInfo.fState = MFS_ENABLED;
}


 

wgWinPopupMenu::wgWinPopupMenu(string Text, unsigned int uintIdentifier) : wgWinMenuComponent(Text, uintIdentifier)
{
	MenuBar = NULL;

	MenuItemInfo.fMask = MIIM_TYPE | MIIM_STATE |MIIM_SUBMENU |MIIM_ID;
	MenuItemInfo.fState = MFS_ENABLED;
}





wgWinPopupMenu::~wgWinPopupMenu()
{


}



BOOL wgWinPopupMenu::Add(wgWinMenuComponent* MenuComponent, int ItemPos, BOOL _fByPosition)
{
	if (MenuBar==NULL)
	{
		MenuBar = CreatePopupMenu();
		MenuItemInfo.hSubMenu = this->MenuBar;
	}

	if (ItemPos<0 && _fByPosition == TRUE)
	{
		ItemPos = GetMenuItemCount(MenuBar);
	}

	return InsertMenuItem(MenuBar, ItemPos, _fByPosition, &((wgWinPopupMenu*)MenuComponent)->MenuItemInfo);
}






HMENU wgWinPopupMenu::GetMenu()
{
	return MenuBar;
}



BOOL wgWinPopupMenu::DestroyMenu()
{
	BOOL Res = ::DestroyMenu(MenuBar);
	MenuBar = NULL;

	return Res;
}

