#include "winutils/wuSysLogger.h"




 

wuSysLogger::wuSysLogger()
{

}




wuSysLogger::~wuSysLogger()
{

}






void wuSysLogger::Initialise(	const char* cpcharProcName, 
								unsigned int uintWinsockSigVersNum, 
								unsigned int uintWinsockInsigVersNum)
{
	try
	{
		StringGenerator.Initialise(	cpcharProcName, uintWinsockSigVersNum, uintWinsockInsigVersNum);
	}
	catch(...)
	{
		// what do you do when a logger fails? log it? How?
	}
}



void wuSysLogger::UnInitialise()
{
	StringGenerator.UnInitialise();
}



bool wuSysLogger::IsInitialised()
{
	return StringGenerator.IsInitialised();
}




bool wuSysLogger::Log(	SysLogFacilityCode Facility, 
						SysLogSeverityCode Severity, 
						const char* cpcharMessageContent)
{
	char pcharTempBuffer[1024];

	StringGenerator.CreatelogString(pcharTempBuffer, 1024, Facility, Severity, cpcharMessageContent);

	return Log(pcharTempBuffer);
}









