#include "winutils/wuThread.h"
#define _WINSOCKAPI_
#ifndef STRICT
	#define STRICT
#endif
#ifndef _WIN32_WINNT 
	#define _WIN32_WINNT 0x0400
#endif//_WIN32_WINNT
// fix for mfc
#if defined(WIN32)
	#ifdef _AFXDLL
		#include <afx.h>
	#else
		#include<windows.h>
	#endif
#endif	



wuThread::wuThread()
{
	thrdaddr = 0; // address of the thread
	lhThread = 0;
}





wuThread::~wuThread(){}



unsigned long wuThread::Start(unsigned int initflag)
{
	if (lhThread==0)
	{
		#ifdef _MT
			lhThread = _beginthreadex(	0,	// security, 
													0,		// stack_size, 
													StartThread, 
													this,	// arglist
													initflag,      // initflag, 
													&thrdaddr );

		#else 
			Run();
			delete this;
		#endif
	}

	return lhThread;
}



void wuThread::_Run(){

	Run();

	#ifdef _MT
		CloseHandle((HANDLE)(lhThread));
	#endif
}

extern "C" {

	unsigned __stdcall StartThread(void* arg){
		
		wuThread* athread = (wuThread*) arg;
		athread->_Run();
		
		delete athread;
	
		return 0;
	}
};
