#include "winutils/wuUDPSocket.h"



//////////////////////// Socket wrapper class ///////////////

wuUDPSocket::wuUDPSocket() : wuSocket()
{
}



wuUDPSocket::~wuUDPSocket()
{
}




// this constructor must be followed by Establish
// Socket constructor mainly used for ServerSocket
wuUDPSocket::wuUDPSocket(int intLocalPortNum)  throw (wuSocketException)
				: wuSocket(intLocalPortNum)
{
}
/////////////////////




void wuUDPSocket::Connect(const char* ahost, unsigned int uintLocalPort, unsigned int uintRemotePort) throw (wuSocketException, wuSocketAddressInUse)
{
	wuUDPSocket::CreateSocket(ahost, uintLocalPort, uintRemotePort);

	wuSocket::ConnectOnSocket();
}
///////////////



void wuUDPSocket::Connect(const char* host, unsigned int RemotePort) throw (wuSocketException, wuSocketAddressInUse)
{
	wuSocket::Connect(host, RemotePort);
}


void wuUDPSocket::Connect(const char* ahost, unsigned int intLocalPort, unsigned int intRemotePort, unsigned int uintReceiveTimeout) throw (wuSocketException, wuSocketAddressInUse)
{
	wuSocket::Connect(ahost, intLocalPort, intRemotePort, uintReceiveTimeout);
}




void wuUDPSocket::CreateSocket(const char* ahost, unsigned int uintLocalPort, unsigned int uintRemotePort)
{
	wuSocket::CreateSocket(ahost, uintLocalPort, uintRemotePort, SOCK_DGRAM);
}


